WingzGraph Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
WingzGraph Class Reference

the main class to read the graphic part of a Claris Resolve/Wingz file More...

`#include <WingzGraph.hxx>`

## Public Member Functions
| WingzGraph (WingzParser &parser)
| constructor More...
virtual | ~WingzGraph ()
| destructor More...
int | version () const
| returns the file version More...

## Protected Member Functions
bool | sendPageGraphics ()
| try to send the page graphic More...
bool | readGraphic ()
| read a graphic zone: 0xe More...
bool | readEndGroup ()
| read a end group zone: 0xf More...
bool | readTextZone (std::shared_ptr< WingzGraphInternal::Graphic > graphic)
| read a text zone or a button zone ( some graphic zone) More...
bool | readChartData (std::shared_ptr< WingzGraphInternal::Graphic > graphic)
| read a chart More...
bool | readPattern (MWAWGraphicStyle::Pattern &pattern, int &patId)
| read a pattern More...
bool | readColor (MWAWColor &color, int &patId)
| read a color: front color, patId, background color More...
bool | sendGraphic (WingzGraphInternal::Graphic const &graphic, MWAWPosition const &pos)
| try to send a generic graphic More...
bool | sendShape (WingzGraphInternal::Graphic const &graphic, MWAWPosition const &pos)
| try to send a shape graphic More...
bool | sendPicture (WingzGraphInternal::Graphic const &graphic, MWAWPosition const &pos)
| try to send a picture graphic More...
bool | sendText (WingzGraphInternal::Graphic const &graphic)
| try to send the content of a textbox/button More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< WingzGraphInternal::State > | m_state
| the state More...
WingzParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| WingzGraph (WingzGraph const &orig)=delete
WingzGraph & | operator= (WingzGraph const &orig)=delete

## Friends
class | WingzParser
class | WingzGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a Claris Resolve/Wingz file

## Constructor & Destructor Documentation

## ◆ WingzGraph() [1/2]

WingzGraph::WingzGraph | ( | WingzParser & | parser | ) |
| explicit

constructor

## ◆ ~WingzGraph()

WingzGraph::~WingzGraph | ( |  | ) |
| virtual

destructor

## ◆ WingzGraph() [2/2]

WingzGraph::WingzGraph | ( | WingzGraph const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

WingzGraph & WingzGraph::operator= | ( | WingzGraph const & | orig | ) |
| privatedelete

## ◆ readChartData()

bool WingzGraph::readChartData | ( | std::shared_ptr< WingzGraphInternal::Graphic > | graphic | ) |
| protected

read a chart

Referenced by readGraphic().

## ◆ readColor()

bool WingzGraph::readColor | ( | MWAWColor & | color,
|  | int & | patId
| ) |  |
| protected

read a color: front color, patId, background color

Referenced by readChartData(), readGraphic(), and readTextZone().

## ◆ readEndGroup()

bool WingzGraph::readEndGroup | ( |  | ) |
| protected

read a end group zone: 0xf

## ◆ readGraphic()

bool WingzGraph::readGraphic | ( |  | ) |
| protected

read a graphic zone: 0xe

## ◆ readPattern()

bool WingzGraph::readPattern | ( | MWAWGraphicStyle::Pattern & | pattern,
|  | int & | patId
| ) |  |
| protected

read a pattern

Referenced by readColor(), and readGraphic().

## ◆ readTextZone()

bool WingzGraph::readTextZone | ( | std::shared_ptr< WingzGraphInternal::Graphic > | graphic | ) |
| protected

read a text zone or a button zone ( some graphic zone)

Referenced by readGraphic().

## ◆ sendGraphic()

bool WingzGraph::sendGraphic | ( | WingzGraphInternal::Graphic const & | graphic,
|  | MWAWPosition const & | pos
| ) |  |
| protected

try to send a generic graphic

Referenced by sendGraphic(), and sendPageGraphics().

## ◆ sendPageGraphics()

bool WingzGraph::sendPageGraphics | ( |  | ) |
| protected

try to send the page graphic

## ◆ sendPicture()

bool WingzGraph::sendPicture | ( | WingzGraphInternal::Graphic const & | graphic,
|  | MWAWPosition const & | pos
| ) |  |
| protected

try to send a picture graphic

Referenced by sendGraphic().

## ◆ sendShape()

bool WingzGraph::sendShape | ( | WingzGraphInternal::Graphic const & | graphic,
|  | MWAWPosition const & | pos
| ) |  |
| protected

try to send a shape graphic

Referenced by sendGraphic().

## ◆ sendText()

bool WingzGraph::sendText | ( | WingzGraphInternal::Graphic const & | graphic | ) |
| protected

try to send the content of a textbox/button

Referenced by WingzGraphInternal::SubDocument::parse().

## ◆ version()

int WingzGraph::version | ( |  | ) | const

returns the file version

Referenced by readGraphic(), and readPattern().

## Friends And Related Function Documentation

## ◆ WingzGraphInternal::SubDocument

friend class WingzGraphInternal::SubDocument
| friend

## ◆ WingzParser

friend class WingzParser
| friend

## Member Data Documentation

## ◆ m_mainParser

WingzParser* WingzGraph::m_mainParser
| protected

the main parser;

Referenced by readChartData(), readGraphic(), readTextZone(), and sendGraphic().

## ◆ m_parserState

MWAWParserStatePtr WingzGraph::m_parserState
| protected

the parser state

Referenced by readChartData(), readEndGroup(), readGraphic(), readPattern(), readTextZone(), sendGraphic(), sendPageGraphics(), sendPicture(), sendShape(), sendText(), and version().

## ◆ m_state

std::shared_ptr<WingzGraphInternal::State> WingzGraph::m_state
| protected

the state

Referenced by readEndGroup(), readGraphic(), readPattern(), readTextZone(), sendGraphic(), and sendPageGraphics().

The documentation for this class was generated from the following files:

- WingzGraph.hxx
- WingzGraph.cxx